Skip to main content
POST
/
api
/
v1
/
purchase-orders
/
{purchase_order_id}
/
reopen
Reabrir orden de compra
curl --request POST \
  --url https://api.lapyme.com.ar/api/v1/purchase-orders/{purchase_order_id}/reopen \
  --header 'Authorization: Bearer <token>'
{
  "request_id": "<string>",
  "data": {
    "purchase_order": {
      "object": "purchase_order",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "order_number": 0,
      "formatted_order_number": "<string>",
      "status": "draft",
      "order_date": "2023-12-25",
      "expected_date": "2023-12-25",
      "currency": "<string>",
      "supplier": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "description": "<string>",
        "email": "<string>",
        "phone": "<string>",
        "tax_id_type": "<string>",
        "tax_id": "<string>",
        "tax_category": "<string>",
        "payment_term_id": "<string>",
        "address": "<string>",
        "apartment": "<string>",
        "city": "<string>",
        "province": "<string>",
        "postal_code": "<string>"
      },
      "warehouse": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>"
      },
      "created_at": "2023-11-07T05:31:56Z",
      "warehouse_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "notes": "<string>",
      "items": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "ordered_quantity": 123,
          "received_quantity": 123,
          "expected_unit_cost": 4503599627370495,
          "product": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "name": "<string>",
            "sku": "<string>",
            "product_type": "product",
            "variant_options": {},
            "option_names": [
              "<string>"
            ]
          }
        }
      ]
    },
    "idempotent_replay": true
  },
  "warnings": [
    "<unknown>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.lapyme.com.ar/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Incluí tu API key en el header Authorization con el prefijo Bearer.

Path Parameters

purchase_order_id
string<uuid>
required

ID de la orden de compra

Response

Orden de compra reabierta exitosamente

request_id
string
required
data
object
required
warnings
any[]
required